[@rxap/data-source](../wiki/globals) / DataSourceRefreshToMethodAdapterFactory

# Function: DataSourceRefreshToMethodAdapterFactory()

> **DataSourceRefreshToMethodAdapterFactory**(`dataSource`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/data-source/src/lib/data-source-refresh-to-method-adapter-factory.ts:4](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/data-source-refresh-to-method-adapter-factory.ts#L4)

## Parameters

### dataSource

[`BaseDataSource`](../wiki/Class.BaseDataSource)\<`unknown`\>

## Returns

`Method`\<`any`, `any`\>
